<div *ngIf="data">

  <div *ngIf="txState == 'PENDING_CONFIRMATION'">

    <div class="p-4 confirm-modal-head">
      <div class="flex justify-between items-center mb-4">
        <h1 mat-dialog-title>Confirm Withdrawal</h1>
        <div mat-dialog-actions>
          <button mat-icon-button aria-label="Close Dialog" (click)="closeDialog()" mat-dialog-close>
            <mat-icon>close</mat-icon>
          </button>
        </div>
      </div>

      <div class="flex justify-between transaction-detail">

        <div class="flex items-center">
          <div class="asset-icon-container flex items-center mr-4">
            <img *ngIf="data.asset && data.asset.iconPath" [src]="data.asset.iconPath" appImgFallback />
            <mat-icon *ngIf="!data.asset || !data.asset.iconPath">help_outline</mat-icon>
          </div>
          <span class="text-xl mr-2">{{data.assetAmount}}</span>
        </div>

        <span>{{data.asset.ticker}}</span>
      </div>

      <div class="flex justify-center">
        <mat-icon class="to-btn-icon disabled text-sm">add</mat-icon>
      </div>

      <div class="flex justify-between transaction-detail mb-4">

        <div class="flex items-center">
          <div class="asset-icon-container flex items-center mr-4">
            <img *ngIf="cacao && cacao.iconPath" [src]="cacao.iconPath" appImgFallback />
            <mat-icon *ngIf="!cacao || !cacao.iconPath">help_outline</mat-icon>
          </div>
          <span class="text-xl mr-2">{{data.cacaoAmount}}</span>
        </div>

        <span *ngIf="cacao">{{cacao.ticker}}</span>

      </div>

      <span class="italic text-gray-300 text-xs">Output is estimated.</span>

    </div>

    <div>
      <div mat-dialog-content class="confirm-modal-content float-left w-full">

        <div>

          <div class="flex justify-between mb-2">
            <div class="tx-detail-label flex items-end">
              Estimated Tx Time
              <mat-icon style="transform: scale(.6)" matTooltip="Estimated Confirmation Time is the time it will take for MayaChain to process your transaction.">info</mat-icon>
            </div>
            <div class="flex items-end"><{{estimatedMinutes}} min</div>
          </div>

          <div *ngIf="data.withdrawType !== 'ASYM_ASSET'" class="flex justify-between mb-2">
            <span class="tx-detail-label">Fees</span>
            <span *ngIf="data.cacaoFee">{{data.cacaoFee}} CACAO</span>
            <span *ngIf="!data.cacaoFee">- CACAO</span>
          </div>

          <div *ngIf="data.withdrawType === 'ASYM_ASSET'" class="flex justify-between pb-2 items-center">
            <span class="tx-detail-label">Fees</span>
            <span *ngIf="data.networkFee">{{data.networkFee | number:"1.0-4"}} {{data.asset.ticker}}</span>
            <span *ngIf="!data.networkFee">-</span>
          </div>

        </div>

        <button (click)="submitTransaction()" mat-flat-button color="primary" class="main-action-btn w-full">Confirm Withdraw</button>

      </div>

    </div>

  </div>

  <app-transaction-ledger-confirm-modal *ngIf="txState == 'PENDING_LEDGER_CONFIRMATION'"></app-transaction-ledger-confirm-modal>

  <app-transaction-processing-modal
    *ngIf="txState == 'SUBMITTING'"
    transactionDetail="Withdrawing {{+data.assetAmount | number:'0.0-4'}} {{data.asset.ticker}} + {{+data.cacaoAmount | number:'0.0-2'}} {{cacao.ticker}}"
    (closeDialog)="closeDialog()">
  </app-transaction-processing-modal>

  <app-transaction-success-modal
    *ngIf="txState === 'SUCCESS'"
    chain="MAYA"
    [hash]="hash"
    (closeDialog)="closeDialog(true)">
  </app-transaction-success-modal>

  <div class="flex flex-col items-center p-8 text-sm" *ngIf="txState === 'ERROR'">
    <div class="py-8">
      <mat-icon>warning</mat-icon>
    </div>
    <span *ngIf="error">{{error}}</span>
    <span *ngIf="!error">Something went wrong</span>
  </div>

</div>

